List entity mappings
curl --request GET \
--url https://api.entendre.finance/v1/connections/{connection_id}/entity-mappings \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/connections/{connection_id}/entity-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/connections/{connection_id}/entity-mappings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "lem_507f1f77bcf86cd799439011",
"organization_id": "org_507f1f77bcf86cd799439011",
"integration_type": "quickbooks",
"realm_id": "9341455734745729",
"internal_legal_entity_id": "le_507f1f77bcf86cd799439011",
"external_legal_entity_id": "1",
"created_at": "2026-08-22T12:40:37.874Z",
"updated_at": "2026-08-31T03:49:29.365Z"
}
],
"count": 1,
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}GL Mapping
List entity mappings
Lists the entity mappings of one connection.
GET
/
v1
/
connections
/
{connection_id}
/
entity-mappings
List entity mappings
curl --request GET \
--url https://api.entendre.finance/v1/connections/{connection_id}/entity-mappings \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/connections/{connection_id}/entity-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/connections/{connection_id}/entity-mappings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "lem_507f1f77bcf86cd799439011",
"organization_id": "org_507f1f77bcf86cd799439011",
"integration_type": "quickbooks",
"realm_id": "9341455734745729",
"internal_legal_entity_id": "le_507f1f77bcf86cd799439011",
"external_legal_entity_id": "1",
"created_at": "2026-08-22T12:40:37.874Z",
"updated_at": "2026-08-31T03:49:29.365Z"
}
],
"count": 1,
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}internal_legal_entity_id is the Entendre legal entity ID, and external_legal_entity_id is the cached provider entity ID. Detached mappings are not listed. The list does not show whether a mapping is valid, and it is not paginated.Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Path Parameters
ID of the connection.
Minimum string length:
1Query Parameters
Maximum number of records to return.
Required range:
1 <= x <= 100The next_cursor value from the previous page. Keep the other filters unchanged.